com.jscape.util.reflection

## Class PropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.jscape.util.reflection.PropertyException

- All Implemented Interfaces:
    java.io.Serializable

      public class PropertyException
      extends java.lang.Exception

  Author:
    Alex
  See Also:
    Source code, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyException(ObjectProperty property)`
    `PropertyException(java.lang.String message, ObjectProperty property)`
    `PropertyException(java.lang.String message, java.lang.Throwable cause, ObjectProperty property)`
    `PropertyException(java.lang.Throwable cause, ObjectProperty property)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectProperty` | `getProperty()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyException

          public PropertyException(ObjectProperty property)

    - #### PropertyException

          public PropertyException(java.lang.String message,
                                   ObjectProperty property)

    - #### PropertyException

          public PropertyException(java.lang.Throwable cause,
                                   ObjectProperty property)

    - #### PropertyException

          public PropertyException(java.lang.String message,
                                   java.lang.Throwable cause,
                                   ObjectProperty property)

  - ### Method Detail

    - #### getProperty

          public ObjectProperty getProperty()

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.